<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003" DefaultTargets="Build">
  <PropertyGroup>
    <ProjectGuid>{6166EEDD-31E3-44EB-978A-5EAF9C2992FF}</ProjectGuid>
    <ProjectTypeGuids>{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <OutputType>Exe</OutputType>
    <RootNamespace>BDF</RootNamespace>
    <AssemblyName>bdf</AssemblyName>
    <TargetFrameworkVersion>v4.8</TargetFrameworkVersion>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ReleaseVersion>1.0</ReleaseVersion>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Platform)' == 'AnyCPU' ">
    <PlatformTarget>x86</PlatformTarget>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)' == 'Debug' ">
    <OutputPath>bin\Debug\</OutputPath>
    <DebugSymbols>True</DebugSymbols>
    <DebugType>Full</DebugType>
    <Optimize>False</Optimize>
    <CheckForOverflowUnderflow>True</CheckForOverflowUnderflow>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)' == 'Release' ">
    <OutputPath>bin\Release\</OutputPath>
    <DebugSymbols>False</DebugSymbols>
    <DebugType>None</DebugType>
    <Optimize>True</Optimize>
    <CheckForOverflowUnderflow>False</CheckForOverflowUnderflow>
    <DefineConstants>TRACE</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DefineConstants>DEBUG</DefineConstants>
  </PropertyGroup>
  <ItemGroup>
    <Compile Include="Arguments.cs" />
    <Compile Include="Logger.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="_Main.cs" />
    <Compile Include="BDF.cs" />
    <Compile Include="XLimport.cs" />
    <Compile Include="Web.cs" />
    <Compile Include="MegaT.cs" />
    <Compile Include="PDF.cs" />
    <Compile Include="SFTP.cs" />
    <Compile Include="Switches.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config" />
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup>
    <Reference Include="Spire.XLS">
      <HintPath>packages\FreeSpire.XLS.14.2.0\lib\net48\Spire.XLS.dll</HintPath>
    </Reference>
    <Reference Include="BouncyCastle.Cryptography">
      <HintPath>packages\BouncyCastle.Cryptography.2.6.2\lib\net461\BouncyCastle.Cryptography.dll</HintPath>
    </Reference>
    <Reference Include="System.Buffers">
      <HintPath>packages\System.Buffers.4.5.1\lib\net461\System.Buffers.dll</HintPath>
    </Reference>
    <Reference Include="System.Numerics.Vectors">
      <HintPath>packages\System.Numerics.Vectors.4.5.0\lib\net46\System.Numerics.Vectors.dll</HintPath>
    </Reference>
    <Reference Include="System.Runtime.CompilerServices.Unsafe">
      <HintPath>packages\System.Runtime.CompilerServices.Unsafe.4.5.3\lib\net461\System.Runtime.CompilerServices.Unsafe.dll</HintPath>
    </Reference>
    <Reference Include="System.Memory">
      <HintPath>packages\System.Memory.4.5.5\lib\net461\System.Memory.dll</HintPath>
    </Reference>
    <Reference Include="System.Threading.Tasks.Extensions">
      <HintPath>packages\System.Threading.Tasks.Extensions.4.5.4\lib\net461\System.Threading.Tasks.Extensions.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.Bcl.AsyncInterfaces">
      <HintPath>packages\Microsoft.Bcl.AsyncInterfaces.8.0.0\lib\net462\Microsoft.Bcl.AsyncInterfaces.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.Extensions.DependencyInjection.Abstractions">
      <HintPath>packages\Microsoft.Extensions.DependencyInjection.Abstractions.8.0.2\lib\net462\Microsoft.Extensions.DependencyInjection.Abstractions.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.Extensions.Logging.Abstractions">
      <HintPath>packages\Microsoft.Extensions.Logging.Abstractions.8.0.3\lib\net462\Microsoft.Extensions.Logging.Abstractions.dll</HintPath>
    </Reference>
    <Reference Include="System.ValueTuple">
      <HintPath>packages\System.ValueTuple.4.5.0\lib\net47\System.ValueTuple.dll</HintPath>
    </Reference>
    <Reference Include="System.Formats.Asn1">
      <HintPath>packages\System.Formats.Asn1.8.0.2\lib\net462\System.Formats.Asn1.dll</HintPath>
    </Reference>
    <Reference Include="Renci.SshNet">
      <HintPath>packages\SSH.NET.2025.1.0\lib\net462\Renci.SshNet.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Folder Include="Embedded\" />
  </ItemGroup>
  <ItemGroup>
    <Reference Include="mscorlib" />
    <Reference Include="System" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Core" />
    <Reference Include="System.Data" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="System.IO.Compression" />
    <Reference Include="System.Xml" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="WindowsBase" />
    <Reference Include="System.Numerics" />
    <Reference Include="System.ComponentModel.Composition" />
    <Reference Include="System.Security" />
    <Reference Include="System.ComponentModel.DataAnnotations" />
    <Reference Include="System.Drawing" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Embedded\Spire.XLS.dll" />
    <EmbeddedResource Include="Embedded\template.xlsx" />
    <EmbeddedResource Include="Embedded\arial.ttf" />
    <EmbeddedResource Include="Embedded\Renci.SshNet.dll" />
    <EmbeddedResource Include="Embedded\BouncyCastle.Cryptography.dll" />
    <EmbeddedResource Include="Embedded\System.Formats.Asn1.dll" />
    <EmbeddedResource Include="Embedded\Microsoft.Extensions.Logging.Abstractions.dll" />
    <EmbeddedResource Include="Embedded\Microsoft.Extensions.DependencyInjection.Abstractions.dll" />
    <EmbeddedResource Include="Embedded\Microsoft.Bcl.AsyncInterfaces.dll" />
    <EmbeddedResource Include="Embedded\System.Memory.dll" />
    <EmbeddedResource Include="Embedded\System.Buffers.dll" />
    <EmbeddedResource Include="Embedded\System.Threading.Tasks.Extensions.dll" />
    <EmbeddedResource Include="Embedded\System.Runtime.CompilerServices.Unsafe.dll" />
    <EmbeddedResource Include="Embedded\System.ValueTuple.dll" />
    <EmbeddedResource Include="Embedded\System.Numerics.Vectors.dll" />
    <EmbeddedResource Include="Embedded\private_passphr.ppk" />
    <EmbeddedResource Include="Embedded\private_nopassphr.ppk" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>